#include <curl/curl.h>
#define CURL_STATICLIB
#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"

int main(int argc, char* argv[]) {
    if (argc > 1) {
        cout << "argc = " << argc << endl;
        for (int i = 0; i < argc; ++i) {
            cout << "argv[" << i << "] = \"" << argv[i] << "\"" << endl;
        }
        return 0;
    }

    CURLcode res = curl_global_init(CURL_GLOBAL_ALL);
    if (res != CURLE_OK) {
        cerr << "cURL initialization failed: " << curl_easy_strerror(res) << endl;
        return 1;
    }

    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins, in.block_width);

    curl_global_cleanup();
}
